<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <h5 style="margin-top: 15px;">
       <span jhiTranslate="mpmApp.partyCategoryType.detail.title">Party Category Types</span>
    </h5>
    <br/>
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{partyCategoryType.idCategoryType}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><span><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span></a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!partyCategoryType.idCategoryType">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="partyCategoryType.idCategoryType" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.partyCategoryType.description" for="field_description">Description</label>
                        <input type="text" class="form-control" name="description" id="field_description"
                            [(ngModel)]="partyCategoryType.description"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.partyCategoryType.refKey" for="field_refKey">Ref Key</label>
                        <input type="text" class="form-control" name="refKey" id="field_refKey"
                            [(ngModel)]="partyCategoryType.refKey"  />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.partyCategoryType.parent" for="field_parent">Parent</label>
                        <select class="form-control" id="field_parent" name="parent" [(ngModel)]="partyCategoryType.parentId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="partyCategoryTypeOption.idCategoryType" *ngFor="let partyCategoryTypeOption of partycategorytypes; trackBy: trackPartyCategoryTypeById">{{partyCategoryTypeOption.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <jhi-party-category-as-list [idCategoryType]="idCategoryType"></jhi-party-category-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>